<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<VBox fx:id="authController"
      alignment="CENTER"
      maxHeight="-Infinity"
      maxWidth="-Infinity"
      minHeight="-Infinity"
      minWidth="-Infinity"
      prefHeight="600.0"
      prefWidth="1024.0"
      style="-fx-background-color: #0d72fd;"
      xmlns="http://javafx.com/javafx/17"
      xmlns:fx="http://javafx.com/fxml/1"
      fx:controller="com.example.planetest.auth.AuthController">
   <children>
      <ImageView fitHeight="50.0" fitWidth="50.0">
         <image>
            <Image url="@../../../../../../img/logo.png" />
         </image>
         <VBox.margin>
            <Insets bottom="40.0" />
         </VBox.margin>
      </ImageView>
      <Label text="Authorization" textFill="WHITE">
         <VBox.margin>
            <Insets bottom="32.0" />
         </VBox.margin>
         <font>
            <Font size="36.0" />
         </font>
      </Label>
      <Label minWidth="300.0" text="Login" textFill="WHITE">
         <VBox.margin>
            <Insets bottom="4.0" />
         </VBox.margin>
      </Label>
      <TextField maxWidth="300.0" minHeight="40.0" minWidth="0.0" />
      <Label minWidth="300.0" text="Password" textFill="#eee8e8">
         <VBox.margin>
            <Insets bottom="5.0" top="16.0" />
         </VBox.margin>
      </Label>
      <TextField maxWidth="300.0" minHeight="40.0">
         <VBox.margin>
            <Insets />
         </VBox.margin>
      </TextField>
      <Label minWidth="300.0" text="Confirm password" textFill="WHITE">
         <VBox.margin>
            <Insets bottom="5.0" top="16.0" />
         </VBox.margin>
      </Label>
      <TextField maxWidth="300.0" minHeight="40.0" />
      <Button minHeight="40.0" minWidth="200.0" mnemonicParsing="false" onAction="#onContinueClick" style="-fx-background-color: #fe7032;" text="Continue" textFill="WHITE">
         <VBox.margin>
            <Insets top="24.0" />
         </VBox.margin>
         <font>
            <Font size="16.0" />
         </font>
      </Button>
      <Button fx:id="btnBack" minWidth="200.0" mnemonicParsing="false" onAction="#onBackClick" style="-fx-background-color: none;" text="Back" textFill="WHITE">
         <VBox.margin>
            <Insets top="16.0" />
         </VBox.margin>
         <font>
            <Font size="16.0" />
         </font>
      </Button>
   </children>
</VBox>
